Subject: Re: [Intel-wired-lan] igc driver causes suspend to fail if powersave is enabled

From: Srikar Dronamraju <[email-masked]>
Date: Thu, 16 Mar 2023 16:25:26 +0530

* Neftin, Sasha <[email-masked]> [2023-03-15 21:04:07]:

> On 3/15/2023 09:20, Srikar Dronamraju wrote:
> > Hi,
> >
> > On Lenovo ThinkPad P15 Gen 2i with I225-LM Ethernet card running Fedora 37
> > kernel 6.1.13-200.fc37.x86_64, running powertop --auto-tune causes suspend
> > and reboot to fail. Once suspend fails, networking stops working even for
> > wireless. Infact as a normal user, I cant even start a sudo session after
> > trying to suspend.
> Hello,
> Is the i225 card on board (under PCH downstream port) or connected via
> thunderbolt?
> Did you see the same problem on other platforms?
> I will forward this inquiry to our PAE.>

I dont think its connected to thunderbolt. But I am not sure.
So, can you let me know how do I figure this out?

Some additional information if that helps

$ lspci -vt
-[0000:00]-+-00.0  Intel Corporation 11th Gen Core Processor Host Bridge/DRAM Registers
           +-01.0-[01]--+-00.0  NVIDIA Corporation TU117GLM [T1200 Laptop GPU]
           |            \-00.1  NVIDIA Corporation Device 10fa
           +-02.0  Intel Corporation TigerLake-H GT1 [UHD Graphics]
           +-04.0  Intel Corporation TigerLake-LP Dynamic Tuning Processor Participant
           +-06.0-[04]----00.0  Micron Technology Inc Device 5407
           +-07.0-[20-49]--
           +-07.1-[50-79]--
           +-0d.0  Intel Corporation Tiger Lake-H Thunderbolt 4 USB Controller
           +-0d.2  Intel Corporation Tiger Lake-H Thunderbolt 4 NHI #0
           +-14.0  Intel Corporation Tiger Lake-H USB 3.2 Gen 2x1 xHCI Host Controller
           +-14.2  Intel Corporation Tiger Lake-H Shared SRAM
           +-16.0  Intel Corporation Tiger Lake-H Management Engine Interface
           +-16.3  Intel Corporation Device 43e3
           +-1c.0-[1c]--
           +-1c.4-[0b]----00.0  Intel Corporation Ethernet Controller I225-LM
           +-1c.5-[09]----00.0  Intel Corporation Wi-Fi 6 AX210/AX211/AX411 160MHz
           +-1c.7-[0a]----00.0  Genesys Logic, Inc GL9755 SD Host Controller
           +-1f.0  Intel Corporation Device 4389
           +-1f.3  Intel Corporation Tiger Lake-H HD Audio Controller
           +-1f.4  Intel Corporation Tiger Lake-H SMBus Controller
           \-1f.5  Intel Corporation Tiger Lake-H SPI Controller

I can use ethernet even after removing thunderbolt module.

Even when loaded, o/p of
$ lsmod | grep -e thunderbolt -e igc
thunderbolt           397312  0
igc                   163840  0

I dont have any other platform with the same Ethernet Controller device.

--
Thanks and Regards
Srikar Dronamraju